---@meta

---@class ABP_FirstPersonCharacter_C : ARGFirstPersonCharacter
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SpectatorCameraActor UChildActorComponent
---@field SpectatorSpringArm USpringArmComponent
---@field Lighter_TPP USkeletalMeshComponent
---@field SK_Cigg USkeletalMeshComponent
---@field UnderwaterSphere USphereComponent
---@field IsSpeaking UBillboardComponent
---@field PlayerName UTextRenderComponent
---@field Radial_Wheel_AC URadial_Wheel_AC_C
---@field BPC_Player_Ambience_Component UBPC_Player_Ambience_Component_C
---@field Epipen_TPP UStaticMeshComponent
---@field Epipen_FPP UStaticMeshComponent
---@field cigtransform USceneComponent
---@field Cigg_TPP UStaticMeshComponent
---@field HoldTransform USceneComponent
---@field SK_BoxyRider_FPP_Arms_01 USkeletalMeshComponent
---@field FirstPersonCamera UCameraComponent
---@field FirstPersonMesh USkeletalMeshComponent
---@field SpringArm USpringArmComponent
---@field SM_Glasses UStaticMeshComponent
---@field SM_Hat01 UStaticMeshComponent
---@field DMG_blendout_7FCD812345851ECA45649BB0FE6A35D5 float
---@field DMG__Direction_7FCD812345851ECA45649BB0FE6A35D5 ETimelineDirection::Type
---@field Dmg UTimelineComponent
---@field ['Target Touch UI'] TSubclassOf<UUserWidget>
---@field LookAtDistance double
---@field LookAtDistanceWhenHoldingItem double
---@field CurrentLookAtTrace FHitResult
---@field CurrentLookAtObject UObject
---@field CurrentPickUpActor AActor
---@field CachedTargetActorTransform FTransform
---@field InitialHoldTransform FTransform
---@field IsRagdoll boolean
---@field PreviousIsRagdoll boolean
---@field CachedInitialHoldTransform FTransform
---@field HoldTransformTargetLocation FVector
---@field HoldTransformTargetRotation FRotator
---@field Interactable_LookatPlayerInteractions TMap<FName, UInputAction>
---@field StartedSmoke boolean
---@field SmokeVFX UNiagaraComponent
---@field SmokeVFXTPP UNiagaraComponent
---@field MI_Cig UMaterialInstanceDynamic
---@field Cig_W float
---@field Current3rdPersonPickUpActor AActor
---@field ObjectAttachType FGameplayTagContainer
---@field AcceptedDamageTypes FGameplayTagContainer
---@field FallingLastTick boolean
---@field ZVelocityLastTick float
---@field PPDmg UMaterialInstanceDynamic
---@field DeathDamageThreshold int32
---@field TempPostProcess TArray<FWeightedBlendable>
---@field IsHolding boolean
---@field IsHandPosing boolean
---@field HandEmoteYaw double
---@field HandEmotePitch double
---@field HandEmoteFwd double
---@field HandEmoteRight boolean
---@field HandEmoteLeft boolean
---@field CurrentDamage TArray<FTagIntPair>
---@field bIsTalking boolean
---@field LocalPlayerToRevive ABP_FirstPersonCharacter_C
---@field IsUnderwaterTimer FTimerHandle
---@field CurrentSurfaceWaterHeight double
---@field LastSeenTotalDamage int32
---@field CurrentHatMesh UStaticMesh
---@field CurrentGlassesMesh UStaticMesh
---@field CurrentLookAtComponent UObject
---@field AttachmentPrevisActor ABP_Previs_C
---@field MouthPosition int32
---@field MouthMaterial UMaterialInstanceDynamic
---@field UnderwaterSFX UAudioComponent
---@field CasettePlayerVolumeBus USoundControlBus
---@field CassettePlayerLowPassBus USoundControlBus
---@field CigMT float
---@field IsPassenger boolean
---@field IsDriver boolean
---@field PastTPPSmoke UAnimMontage
---@field Lighter_Flame_VFX UNiagaraComponent
---@field StrengthMultiplier double
---@field SpeedMultiplier double
---@field ResetStrengthTimer FTimerHandle
---@field CachedDefaultJumpZVelocity float
---@field CachedDefaultMaxWalkSpeed float
---@field ResetSpeedTimer FTimerHandle
---@field IsUsingMap boolean
---@field PassengerAimRotation FRotator
---@field HasEverBeenLocallyControlled boolean
---@field bIsLoaded boolean
---@field bFirstPossess boolean
---@field PastFPPSmoke UAnimMontage
---@field PreviousFrameLookAtPlayerInteractions TMap<FName, UInputAction>
---@field UnlockedHatMeshes TArray<UStaticMesh>
---@field UnlockedGlassesMeshes TArray<UStaticMesh>
---@field PrevisMaterial UMaterialInstanceDynamic
---@field Interactable_LookatPlayerInteractionTexts TMap<UInputAction, FText>
---@field PreviousFrameLookAtPlayerInteractionTexts TMap<UInputAction, FText>
---@field Event_UpdateLookAtPlayerInteractionTexts FBP_FirstPersonCharacter_CEvent_UpdateLookAtPlayerInteractionTexts
---@field Event_UpdatePickedUpPlayerInteractionTexts FBP_FirstPersonCharacter_CEvent_UpdatePickedUpPlayerInteractionTexts
local ABP_FirstPersonCharacter_C = {}

---@return boolean
function ABP_FirstPersonCharacter_C:AllowWinchAttach() end
---@param outCustomAttachLocation FVector
---@return boolean
function ABP_FirstPersonCharacter_C:GetCustomAttachLocation(outCustomAttachLocation) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_FirstPersonCharacter_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_FirstPersonCharacter_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_FirstPersonCharacter_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_FirstPersonCharacter_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_FirstPersonCharacter_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_FirstPersonCharacter_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_FirstPersonCharacter_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_FirstPersonCharacter_C:BlockInteraction(Player, BlockInteraction) end
---@param IsPickupable boolean
function ABP_FirstPersonCharacter_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_FirstPersonCharacter_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_FirstPersonCharacter_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_FirstPersonCharacter_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_FirstPersonCharacter_C:AddImpulse(ImpulseStrength, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_FirstPersonCharacter_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_FirstPersonCharacter_C:Repair(RepairTarget, RepairTool, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_FirstPersonCharacter_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_FirstPersonCharacter_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_FirstPersonCharacter_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_FirstPersonCharacter_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Success boolean
function ABP_FirstPersonCharacter_C:Explode(Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_FirstPersonCharacter_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_FirstPersonCharacter_C:SetNewAttachTransform(NewTransform, Success) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_FirstPersonCharacter_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_FirstPersonCharacter_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_FirstPersonCharacter_C:GetAttachPointState(Success, AttachPointState) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_FirstPersonCharacter_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_FirstPersonCharacter_C:GetObjectAttachType(Success, AttachType) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_FirstPersonCharacter_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_FirstPersonCharacter_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_FirstPersonCharacter_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_FirstPersonCharacter_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_FirstPersonCharacter_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_FirstPersonCharacter_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_FirstPersonCharacter_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_FirstPersonCharacter_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_FirstPersonCharacter_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_FirstPersonCharacter_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_FirstPersonCharacter_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param Sensitivity FVector2D
function ABP_FirstPersonCharacter_C:GetMouseSensitivity(Sensitivity) end
---@param NextPlayer boolean
function ABP_FirstPersonCharacter_C:SpectateAnotherPlayer(NextPlayer) end
function ABP_FirstPersonCharacter_C:LoadPerPlayerData() end
---@param Location FVector
function ABP_FirstPersonCharacter_C:PlayAttachToVehicleActorSFX(Location) end
---@param Result boolean
function ABP_FirstPersonCharacter_C:HasPlayerEverBeenLocallyControlled(Result) end
function ABP_FirstPersonCharacter_C:ApplyOptions() end
---@param ActorToClear AActor
function ABP_FirstPersonCharacter_C:TryToClearPickedUpActor(ActorToClear) end
---@param PlayerToCheck ABP_FirstPersonCharacter_C
---@param Result boolean
function ABP_FirstPersonCharacter_C:IsPlayerAttachedToThisPlayer(PlayerToCheck, Result) end
function ABP_FirstPersonCharacter_C:SetGlobalControlBuses() end
function ABP_FirstPersonCharacter_C:ResetControlBusMix() end
function ABP_FirstPersonCharacter_C:ResetReverbs() end
---@param VolumeValue double
---@param LowPassValue double
---@param FadeTime double
function ABP_FirstPersonCharacter_C:SetInsideCassetPlayerControlBusMix(VolumeValue, LowPassValue, FadeTime) end
function ABP_FirstPersonCharacter_C:StartUnderwaterAudioEffects() end
function ABP_FirstPersonCharacter_C:StopUnderwaterAudioEffects() end
---@param HasOwningController boolean
function ABP_FirstPersonCharacter_C:OnOwningControllerUpdatedForLocalPlayer(HasOwningController) end
---@param SeatableTruckPart ABP_Seatable_TruckPart_01_C
---@param InIsPassenger boolean
function ABP_FirstPersonCharacter_C:SetIsPassenger(SeatableTruckPart, InIsPassenger) end
---@param IsDriver boolean
---@param Vehicle AActor
function ABP_FirstPersonCharacter_C:SetIsDriver(IsDriver, Vehicle) end
function ABP_FirstPersonCharacter_C:OnRep_MouthPosition() end
function ABP_FirstPersonCharacter_C:RepositionLocalAttachPointPrevisActor() end
function ABP_FirstPersonCharacter_C:TryCreateLocalAttachPointPrevisActor() end
function ABP_FirstPersonCharacter_C:FixupPickupState() end
---@param HoldTime double
function ABP_FirstPersonCharacter_C:StartDrop(HoldTime) end
---@param InteractObject UObject
function ABP_FirstPersonCharacter_C:SetCharacterPoseBasedOnInteractObject(InteractObject) end
function ABP_FirstPersonCharacter_C:OnRep_CurrentPickUpActor() end
---@param PickedUpActor AActor
function ABP_FirstPersonCharacter_C:GetPickUpActor(PickedUpActor) end
function ABP_FirstPersonCharacter_C:OnRep_CurrentGlassesMesh() end
function ABP_FirstPersonCharacter_C:OnRep_CurrentHatMesh() end
function ABP_FirstPersonCharacter_C:CheckWaterHeightToHead() end
---@return boolean
function ABP_FirstPersonCharacter_C:ReceiveIsRagdolling() end
---@param Enable boolean
function ABP_FirstPersonCharacter_C:SetRagdollIMC(Enable) end
function ABP_FirstPersonCharacter_C:UpdateNametag() end
function ABP_FirstPersonCharacter_C:DebugCanDropHere() end
---@param Result boolean
function ABP_FirstPersonCharacter_C:CanDropCurrentHeldActorSafely(Result) end
function ABP_FirstPersonCharacter_C:HandleFalling() end
function ABP_FirstPersonCharacter_C:OnRep_CurrentDamage() end
function ABP_FirstPersonCharacter_C:OnRep_IsHandPosing() end
---@param Yaw double
---@param Pitch double
---@param Fwd double
function ABP_FirstPersonCharacter_C:HandleHandPoseInput(Yaw, Pitch, Fwd) end
---@param Name FName
function ABP_FirstPersonCharacter_C:SetupEmote(Name) end
function ABP_FirstPersonCharacter_C:OnRep_IsRagdoll() end
---@param AttachParent AActor
---@return boolean
function ABP_FirstPersonCharacter_C:ReceiveCustomClientAttach(AttachParent) end
function ABP_FirstPersonCharacter_C:PlayDropSFX() end
function ABP_FirstPersonCharacter_C:PlayGrabSFX() end
---@param TotalDamageTaken int32
function ABP_FirstPersonCharacter_C:GetTotalDamageTaken(TotalDamageTaken) end
---@param IsDead boolean
function ABP_FirstPersonCharacter_C:IsPlayerDead(IsDead) end
---@param DamageToHeal FST_Damage_Results
---@param Success boolean
function ABP_FirstPersonCharacter_C:Internal_HealPlayerDamage(DamageToHeal, Success) end
function ABP_FirstPersonCharacter_C:CheckFallingDamage() end
---@param NewShieldValue double
---@param Repair boolean
---@param NewShieldHealth int32
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
function ABP_FirstPersonCharacter_C:Internal_UpdateShieldBar(NewShieldValue, Repair, NewShieldHealth, NewDamageTypes, NewDamages) end
function ABP_FirstPersonCharacter_C:KnockedOut() end
---@param DamageResults FST_Damage_Results
function ABP_FirstPersonCharacter_C:Internal_TakePlayerDamage(DamageResults) end
---@param ActorToDrop AActor
---@param ActorToAttachTo AActor
---@param AttachLocation FVector
---@param ActorRotation FRotator
function ABP_FirstPersonCharacter_C:Internal_DropAndAttachToActor(ActorToDrop, ActorToAttachTo, AttachLocation, ActorRotation) end
---@param PickedUpActor UObject
function ABP_FirstPersonCharacter_C:UpdatePickedUpAndAttachedToPlayerInteractions(PickedUpActor) end
---@param LookAtActor UObject
function ABP_FirstPersonCharacter_C:UpdateLookAtPlayerInteractions(LookAtActor) end
---@param DeltaSeconds double
function ABP_FirstPersonCharacter_C:UpdateHoldTransform(DeltaSeconds) end
---@param ActorToAttach AActor
---@param ParentActor AActor
---@param RelativeTransform FTransform
---@param SocketName FName
---@param ScaleRule EAttachmentRule
---@param Success boolean
function ABP_FirstPersonCharacter_C:Internal_AttachActor(ActorToAttach, ParentActor, RelativeTransform, SocketName, ScaleRule, Success) end
---@param TargetActor AActor
---@param HoldTime double
---@param OverrideDropLocation boolean
---@param DropLocation FVector
---@param OverrideDropRotation boolean
---@param DropRotation FQuat
---@param Success boolean
function ABP_FirstPersonCharacter_C:Internal_DropActor(TargetActor, HoldTime, OverrideDropLocation, DropLocation, OverrideDropRotation, DropRotation, Success) end
---@param TargetActor AActor
---@param Success boolean
function ABP_FirstPersonCharacter_C:Internal_PickUpActor(TargetActor, Success) end
function ABP_FirstPersonCharacter_C:DebugLookAtObject() end
---@param Trace FHitResult
function ABP_FirstPersonCharacter_C:UpdateLookAtObject(Trace) end
function ABP_FirstPersonCharacter_C:TraceForInteractObject() end
---@param HoldTime double
function ABP_FirstPersonCharacter_C:StartInteract(HoldTime) end
---@param Yaw float
---@param Pitch double
function ABP_FirstPersonCharacter_C:Aim(Yaw, Pitch) end
---@param Left___Right double
---@param Forward___Backward double
function ABP_FirstPersonCharacter_C:Move(Left___Right, Forward___Backward) end
function ABP_FirstPersonCharacter_C:DMG__FinishedFunc() end
function ABP_FirstPersonCharacter_C:DMG__UpdateFunc() end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_60C428DF4F749C09E1D0EFBAC11E3292(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_60C428DF4F749C09E1D0EFBAC11E3292(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_60C428DF4F749C09E1D0EFBAC11E3292(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_60C428DF4F749C09E1D0EFBAC11E3292(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_60C428DF4F749C09E1D0EFBAC11E3292(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_30(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_29(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_28(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_CF4DF38A4A8D747034909BA61693DB57(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_CF4DF38A4A8D747034909BA61693DB57(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_CF4DF38A4A8D747034909BA61693DB57(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_CF4DF38A4A8D747034909BA61693DB57(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_CF4DF38A4A8D747034909BA61693DB57(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_9E1C96D942588C426E65269B7BB06E08(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_9E1C96D942588C426E65269B7BB06E08(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_9E1C96D942588C426E65269B7BB06E08(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_9E1C96D942588C426E65269B7BB06E08(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_9E1C96D942588C426E65269B7BB06E08(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_119771C7406127AA6AAB2B8327AE0B7E(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_119771C7406127AA6AAB2B8327AE0B7E(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_119771C7406127AA6AAB2B8327AE0B7E(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_119771C7406127AA6AAB2B8327AE0B7E(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_119771C7406127AA6AAB2B8327AE0B7E(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_BD7752F04345F64CCE8056A9F5553A5A(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_BD7752F04345F64CCE8056A9F5553A5A(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_BD7752F04345F64CCE8056A9F5553A5A(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_BD7752F04345F64CCE8056A9F5553A5A(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_BD7752F04345F64CCE8056A9F5553A5A(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_TertiaryFire_K2Node_EnhancedInputActionEvent_27(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Emotes_K2Node_EnhancedInputActionEvent_26(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Emotes_K2Node_EnhancedInputActionEvent_25(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Emotes_K2Node_EnhancedInputActionEvent_24(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_ToggleHandMode_K2Node_EnhancedInputActionEvent_23(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_ToggleHandMode_K2Node_EnhancedInputActionEvent_22(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_MouseWheel_K2Node_EnhancedInputActionEvent_21(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_20(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_19(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_18(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_SecondaryInteract_K2Node_EnhancedInputActionEvent_17(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Key FKey
function ABP_FirstPersonCharacter_C:InpActEvt_K_K2Node_InputKeyEvent_0(Key) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Drop_K2Node_EnhancedInputActionEvent_16(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Drop_K2Node_EnhancedInputActionEvent_15(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Drop_K2Node_EnhancedInputActionEvent_14(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Drop_K2Node_EnhancedInputActionEvent_13(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_5BE9B31845538CFD4905E192A6FC8E54(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_5BE9B31845538CFD4905E192A6FC8E54(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_5BE9B31845538CFD4905E192A6FC8E54(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_5BE9B31845538CFD4905E192A6FC8E54(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_5BE9B31845538CFD4905E192A6FC8E54(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_0C5266BA4D619FADB031599A982940C6(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_0C5266BA4D619FADB031599A982940C6(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_0C5266BA4D619FADB031599A982940C6(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_0C5266BA4D619FADB031599A982940C6(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_0C5266BA4D619FADB031599A982940C6(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Interact_K2Node_EnhancedInputActionEvent_12(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Interact_K2Node_EnhancedInputActionEvent_11(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Interact_K2Node_EnhancedInputActionEvent_10(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_MouseLook_K2Node_EnhancedInputActionEvent_9(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Jump_K2Node_EnhancedInputActionEvent_8(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Jump_K2Node_EnhancedInputActionEvent_7(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_33F6BEBC45472ACDB95AE1BE6C197BD1(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_33F6BEBC45472ACDB95AE1BE6C197BD1(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_33F6BEBC45472ACDB95AE1BE6C197BD1(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_33F6BEBC45472ACDB95AE1BE6C197BD1(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_33F6BEBC45472ACDB95AE1BE6C197BD1(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_B839F2504216BA4D1EE032BAFEFE040C(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_B839F2504216BA4D1EE032BAFEFE040C(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_B839F2504216BA4D1EE032BAFEFE040C(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_B839F2504216BA4D1EE032BAFEFE040C(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_B839F2504216BA4D1EE032BAFEFE040C(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_F43116104D2CD2A2633B62A5A4C0BFC2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_F43116104D2CD2A2633B62A5A4C0BFC2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_F43116104D2CD2A2633B62A5A4C0BFC2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_F43116104D2CD2A2633B62A5A4C0BFC2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_F43116104D2CD2A2633B62A5A4C0BFC2(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Move_K2Node_EnhancedInputActionEvent_6(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_Look_K2Node_EnhancedInputActionEvent_5(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_316CB6774CB2D654EA817480DEC9A0C2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_316CB6774CB2D654EA817480DEC9A0C2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_316CB6774CB2D654EA817480DEC9A0C2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_316CB6774CB2D654EA817480DEC9A0C2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_316CB6774CB2D654EA817480DEC9A0C2(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyEnd_4C65FB96492D1C35CE3F969DF8BBD753(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnNotifyBegin_4C65FB96492D1C35CE3F969DF8BBD753(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnInterrupted_4C65FB96492D1C35CE3F969DF8BBD753(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnBlendOut_4C65FB96492D1C35CE3F969DF8BBD753(NotifyName) end
---@param NotifyName FName
function ABP_FirstPersonCharacter_C:OnCompleted_4C65FB96492D1C35CE3F969DF8BBD753(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_RagdollPrimaryFire_K2Node_EnhancedInputActionEvent_4(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_RagdollSecondaryFire_K2Node_EnhancedInputActionEvent_3(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_StartSmoke_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_DragSmoke_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonCharacter_C:InpActEvt_IA_StopSmoke_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Montage UAnimMontage
---@param FPPMontage UAnimMontage
---@param StartAttach boolean
---@param Stop boolean
function ABP_FirstPersonCharacter_C:StartEmote(Montage, FPPMontage, StartAttach, Stop) end
---@param Montage UAnimMontage
---@param FPPMontage UAnimMontage
---@param StartAttach boolean
---@param Stop boolean
function ABP_FirstPersonCharacter_C:Server_StartEmoteEvent(Montage, FPPMontage, StartAttach, Stop) end
---@param Instigator AActor
---@param Stop boolean
function ABP_FirstPersonCharacter_C:Server_PrimaryFire(Instigator, Stop) end
---@param Instigator AActor
---@param Stop boolean
function ABP_FirstPersonCharacter_C:MultiCastPrimaryFire(Instigator, Stop) end
---@param Repair boolean
---@param NewShieldValue double
---@param NewShieldHealth int32
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
function ABP_FirstPersonCharacter_C:Server_UpdateShieldBar(Repair, NewShieldValue, NewShieldHealth, NewDamageTypes, NewDamages) end
---@param NewShieldValue double
---@param Repair boolean
---@param NewShieldHealth int32
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
function ABP_FirstPersonCharacter_C:MultiCast_UpdateShieldBar(NewShieldValue, Repair, NewShieldHealth, NewDamageTypes, NewDamages) end
---@param TargetVehicle AActor
---@param SocketName FName
function ABP_FirstPersonCharacter_C:Server_RepairShield(TargetVehicle, SocketName) end
---@param Target_Vehicle AActor
---@param DamageToRepair FST_Damage_Results
function ABP_FirstPersonCharacter_C:Server_RepairDamage(Target_Vehicle, DamageToRepair) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
---@param ForceRevive boolean
function ABP_FirstPersonCharacter_C:ServerReviveTarget(PlayerToRevive, ForceRevive) end
---@param TRUE boolean
function ABP_FirstPersonCharacter_C:InternalRagdoll(TRUE) end
---@param Increment int32
function ABP_FirstPersonCharacter_C:Server_UpdateEpiPenCount(Increment) end
---@param Increment int32
function ABP_FirstPersonCharacter_C:Server_UpdatePartsCount(Increment) end
---@param Actor AActor
function ABP_FirstPersonCharacter_C:Server_DestroyActor(Actor) end
---@param Actor AActor
function ABP_FirstPersonCharacter_C:Mulitcast_DestroyActor(Actor) end
---@param AttachToComponent USceneComponent
---@param SystemTemplate UNiagaraSystem
---@param AttachPointName FName
---@param Rotation FRotator
---@param NewLocation FVector
function ABP_FirstPersonCharacter_C:ServerSpawnVfx(AttachToComponent, SystemTemplate, AttachPointName, Rotation, NewLocation) end
---@param AttachToComponent USceneComponent
---@param SystemTemplate UNiagaraSystem
---@param AttachPointName FName
---@param Rotation FRotator
---@param NewLocation FVector
function ABP_FirstPersonCharacter_C:MulticastSpawnVfx(AttachToComponent, SystemTemplate, AttachPointName, Rotation, NewLocation) end
function ABP_FirstPersonCharacter_C:UpdateDmgPP() end
---@param Instigator AActor
---@param Stop boolean
function ABP_FirstPersonCharacter_C:Server_SecondaryFire(Instigator, Stop) end
---@param Instigator AActor
---@param Stop boolean
function ABP_FirstPersonCharacter_C:Multicast_SecondaryFire(Instigator, Stop) end
---@param TargetPlayer ABP_FirstPersonCharacter_C
---@param DamageToHeal FST_Damage_Results
function ABP_FirstPersonCharacter_C:Server_HealPlayerDamage(TargetPlayer, DamageToHeal) end
---@param Target UObject
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
function ABP_FirstPersonCharacter_C:Server_StopInteract(Target, PlayerCharacter, HitResult) end
---@param Target UObject
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
function ABP_FirstPersonCharacter_C:Multicast_StopInteract(Target, PlayerCharacter, HitResult) end
---@param Active_Slot FRadial_Wheel_Slot_Struct
ABP_FirstPersonCharacter_C['BndEvt__BP_FirstPersonCharacter_Radial_Wheel_AC_K2Node_ComponentBoundEvent_0_On Active Slot Changed__DelegateSignature'] = function(self, Active_Slot) end
---@param ActorToDrop AActor
---@param ActorToAttachTo AActor
---@param AttachLocation FVector
---@param ActorRotation FRotator
function ABP_FirstPersonCharacter_C:Multicast_DropAndAttachActor(ActorToDrop, ActorToAttachTo, AttachLocation, ActorRotation) end
---@param IsHandPosing boolean
function ABP_FirstPersonCharacter_C:Server_SetIsHandPosing(IsHandPosing) end
---@param HandEmoteInput FVector
function ABP_FirstPersonCharacter_C:Server_SetHandPoseInput(HandEmoteInput) end
---@param HandEmoteRight boolean
---@param HandEmoteLeft boolean
function ABP_FirstPersonCharacter_C:Server_SetHandType(HandEmoteRight, HandEmoteLeft) end
---@param TargetPlayer ABP_FirstPersonCharacter_C
---@param DamageResults FST_Damage_Results
function ABP_FirstPersonCharacter_C:Server_TakePlayerDamage(TargetPlayer, DamageResults) end
---@param TRUE boolean
function ABP_FirstPersonCharacter_C:Server_Ragdoll(TRUE) end
---@param Target UObject
---@param PushLocation FVector
function ABP_FirstPersonCharacter_C:Server_AddImpulse(Target, PushLocation) end
---@param Target UObject
---@param PushLocation FVector
function ABP_FirstPersonCharacter_C:Multicast_AddImpulse(Target, PushLocation) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
function ABP_FirstPersonCharacter_C:StartReviveAnim(PlayerToRevive) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
function ABP_FirstPersonCharacter_C:PlayReviveAnim(PlayerToRevive) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
function ABP_FirstPersonCharacter_C:Server_PlayReviveAnim(PlayerToRevive) end
---@param AttachToComponent USceneComponent
---@param SystemTemplate UNiagaraSystem
---@param AttachPointName FName
---@param Rotation FRotator
---@param NewLocation FVector
function ABP_FirstPersonCharacter_C:SpawnVFX(AttachToComponent, SystemTemplate, AttachPointName, Rotation, NewLocation) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
function ABP_FirstPersonCharacter_C:Multicast_PlayReviveAnim(PlayerToRevive) end
---@param TRUE boolean
function ABP_FirstPersonCharacter_C:Ragdoll(TRUE) end
---@param PlayerToRevive ABP_FirstPersonCharacter_C
---@param Location FVector
function ABP_FirstPersonCharacter_C:Server_RevivePlayerAtLocation(PlayerToRevive, Location) end
---@param PrevMovementMode EMovementMode
---@param NewMovementMode EMovementMode
---@param PrevCustomMode uint8
---@param NewCustomMode uint8
function ABP_FirstPersonCharacter_C:K2_OnMovementModeChanged(PrevMovementMode, NewMovementMode, PrevCustomMode, NewCustomMode) end
---@param ActorToDrop AActor
---@param ActorToAttachTo AActor
---@param AttachLocation FVector
---@param ActorRotation FRotator
function ABP_FirstPersonCharacter_C:DropAndAttachActor(ActorToDrop, ActorToAttachTo, AttachLocation, ActorRotation) end
---@param ActorToAttach AActor
---@param ParentActor AActor
---@param RelativeTransform FTransform
---@param SocketName FName
---@param ScaleRule EAttachmentRule
function ABP_FirstPersonCharacter_C:Server_AttachActor(ActorToAttach, ParentActor, RelativeTransform, SocketName, ScaleRule) end
---@param Interact_Actor AActor
---@param HoldTime double
---@param OverrideDropLocation boolean
---@param DropLocation FVector
---@param OverrideRotation boolean
---@param DropRotation FQuat
function ABP_FirstPersonCharacter_C:Server_DropActor(Interact_Actor, HoldTime, OverrideDropLocation, DropLocation, OverrideRotation, DropRotation) end
---@param Interact_Actor AActor
function ABP_FirstPersonCharacter_C:Server_PickUpActor(Interact_Actor) end
ABP_FirstPersonCharacter_C['BndEvt__BP_FirstPersonCharacter_Radial_Wheel_AC_K2Node_ComponentBoundEvent_1_On Wheel Closed__DelegateSignature'] = function(self, ) end
---@param Selected_Slot FRadial_Wheel_Slot_Struct
---@param Valid_ boolean
ABP_FirstPersonCharacter_C['BndEvt__BP_FirstPersonCharacter_Radial_Wheel_AC_K2Node_ComponentBoundEvent_2_On Selection Changed__DelegateSignature'] = function(self, Selected_Slot, Valid_) end
---@param ActorToDrop AActor
---@param ActorToAttachTo AActor
---@param AttachLocation FVector
---@param ActorRotation FRotator
function ABP_FirstPersonCharacter_C:Server_DropAndAttachActor(ActorToDrop, ActorToAttachTo, AttachLocation, ActorRotation) end
---@param NewMesh TSoftObjectPtr<UStaticMesh>
---@param HatActor ABP_CosmeticPickup_C
---@param CosmeticTag FGameplayTag
function ABP_FirstPersonCharacter_C:ServerChangeHatMesh(NewMesh, HatActor, CosmeticTag) end
---@param HatMesh UStaticMesh
---@param HatActor ABP_CosmeticPickup_C
---@param MeshTag FGameplayTag
function ABP_FirstPersonCharacter_C:ChangeHatMesh(HatMesh, HatActor, MeshTag) end
---@param Interact_Actor AActor
function ABP_FirstPersonCharacter_C:PickUpActor(Interact_Actor) end
---@param InteractActor AActor
---@param HoldTime double
function ABP_FirstPersonCharacter_C:DropActor(InteractActor, HoldTime) end
function ABP_FirstPersonCharacter_C:ReceiveBeginPlay() end
---@param Interact_Actor AActor
function ABP_FirstPersonCharacter_C:LocalOnly_PickupActor(Interact_Actor) end
---@param InteractActor AActor
---@param HoldTime double
function ABP_FirstPersonCharacter_C:LocalOnly_DropActor(InteractActor, HoldTime) end
---@param DeltaSeconds float
function ABP_FirstPersonCharacter_C:ReceiveTick(DeltaSeconds) end
---@param Sound USoundBase
---@param AttachToComponent USceneComponent
---@param BoneName FName
---@param Location FVector
function ABP_FirstPersonCharacter_C:Multicast_PlayOneShotSound(Sound, AttachToComponent, BoneName, Location) end
---@param Sound USoundBase
---@param AttachToComponent USceneComponent
---@param BoneName FName
---@param Location FVector
function ABP_FirstPersonCharacter_C:Server_PlayOneShotSound(Sound, AttachToComponent, BoneName, Location) end
ABP_FirstPersonCharacter_C['Touch Jump End'] = function(self, ) end
ABP_FirstPersonCharacter_C['Touch Jump Start'] = function(self, ) end
---@param Axis FVector2D
ABP_FirstPersonCharacter_C['Secondary Thumbstick'] = function(self, Axis) end
---@param Axis FVector2D
ABP_FirstPersonCharacter_C['Primary Thumbstick'] = function(self, Axis) end
---@param OldController AController
---@param NewController AController
function ABP_FirstPersonCharacter_C:ReceiveControllerChanged(OldController, NewController) end
---@param SeatableTruckPart ABP_Seatable_TruckPart_01_C
---@param SitDown boolean
function ABP_FirstPersonCharacter_C:SitInSeatableTruckPart(SeatableTruckPart, SitDown) end
---@param SeatableTruckPart ABP_Seatable_TruckPart_01_C
---@param SitDown boolean
function ABP_FirstPersonCharacter_C:Server_SitInSeatableTruckPart(SeatableTruckPart, SitDown) end
---@param SeatableTruckPart ABP_Seatable_TruckPart_01_C
---@param SitDown boolean
function ABP_FirstPersonCharacter_C:Internal_SitInSeatableTruckPart(SeatableTruckPart, SitDown) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_FirstPersonCharacter_C:BndEvt__BP_FirstPersonCharacter_UnderwaterSphere_K2Node_ComponentBoundEvent_3_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
function ABP_FirstPersonCharacter_C:BndEvt__BP_FirstPersonCharacter_UnderwaterSphere_K2Node_ComponentBoundEvent_4_ComponentEndOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex) end
---@param SaveGameObject URGSaveGame
function ABP_FirstPersonCharacter_C:StaticSave(SaveGameObject) end
---@param SaveGameObject URGSaveGame
function ABP_FirstPersonCharacter_C:StaticLoad(SaveGameObject) end
---@param NewStrengthMultiplier double
function ABP_FirstPersonCharacter_C:Internal_UpdateStrengthMultiplier(NewStrengthMultiplier) end
---@param Target ABP_FirstPersonCharacter_C
---@param NewStrengthMultiplier double
function ABP_FirstPersonCharacter_C:Server_UpdateStrengthMultiplier(Target, NewStrengthMultiplier) end
function ABP_FirstPersonCharacter_C:ResetStrength() end
function ABP_FirstPersonCharacter_C:StopCooking() end
---@param NewSpeedMultiplier double
---@param Time float
function ABP_FirstPersonCharacter_C:Internal_UpdateSpeedMultiplier(NewSpeedMultiplier, Time) end
function ABP_FirstPersonCharacter_C:ResetSpeed() end
---@param Target ABP_FirstPersonCharacter_C
---@param NewSpeedMultiplier double
---@param Time float
function ABP_FirstPersonCharacter_C:Server_UpdateSpeedMultiplier(Target, NewSpeedMultiplier, Time) end
function ABP_FirstPersonCharacter_C:MapUse() end
---@param ActorToAttach AActor
---@param ParentActor AActor
---@param RelativeTransform FTransform
---@param SocketName FName
---@param ScaleRule EAttachmentRule
function ABP_FirstPersonCharacter_C:AttachActor(ActorToAttach, ParentActor, RelativeTransform, SocketName, ScaleRule) end
---@param Heat int32
function ABP_FirstPersonCharacter_C:StartCooking(Heat) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_FirstPersonCharacter_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_FirstPersonCharacter_C:CallBackSecondaryFire(Player, Stop) end
---@param MouthPosition int32
function ABP_FirstPersonCharacter_C:Server_ChangeMouthPosition(MouthPosition) end
function ABP_FirstPersonCharacter_C:RepPassengerAimRotation() end
function ABP_FirstPersonCharacter_C:StartSmoke() end
function ABP_FirstPersonCharacter_C:DragSmoke() end
function ABP_FirstPersonCharacter_C:EndSmoke() end
---@param IsRagdolled boolean
function ABP_FirstPersonCharacter_C:ReceiveSetRagdolled(IsRagdolled) end
---@param NewController AController
function ABP_FirstPersonCharacter_C:ReceivePossessed(NewController) end
---@param Target ABP_FirstPersonCharacter_C
---@param NewSpeedMultiplier double
---@param Time float
function ABP_FirstPersonCharacter_C:Multicast_UpdateSpeedMultiplier(Target, NewSpeedMultiplier, Time) end
---@param Target ABP_FirstPersonCharacter_C
---@param NewStrengthMultiplier double
function ABP_FirstPersonCharacter_C:Multicast_UpdateStrengthMultiplier(Target, NewStrengthMultiplier) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_FirstPersonCharacter_C:CallBackPrimaryFire(Player, Stop) end
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
---@param Repair boolean
---@param Instant boolean
function ABP_FirstPersonCharacter_C:Internal_UpdatePlayerHealthBar(NewDamageTypes, NewDamages, Repair, Instant) end
function ABP_FirstPersonCharacter_C:Server_SpawnCiggButt() end
function ABP_FirstPersonCharacter_C:SpawnCiggButt() end
---@param EntryPoint int32
function ABP_FirstPersonCharacter_C:ExecuteUbergraph_BP_FirstPersonCharacter(EntryPoint) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_FirstPersonCharacter_C:Event_UpdatePickedUpPlayerInteractionTexts__DelegateSignature(PickedUpPlayerInteractions, IMC) end
---@param PlayerInteractionsLookAt TMap<UInputAction, FText>
---@param IMC UInputMappingContext
---@param LookAtDisplayName FText
function ABP_FirstPersonCharacter_C:Event_UpdateLookAtPlayerInteractionTexts__DelegateSignature(PlayerInteractionsLookAt, IMC, LookAtDisplayName) end


